Run of scrub-obsolete for node-unicode-match-property-value-ecmascript

Try this locally (using the lintian-brush package):

debcheckout node-unicode-match-property-value-ecmascript
cd node-unicode-match-property-value-ecmascript
deb-scrub-obsolete
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
[2021-05-22 15:11:52] Running ['scrub-obsolete']
[2021-05-22 15:11:52] Opening branch at https://salsa.debian.org/js-team/node-unicode-match-property-value-ecmascript.git/,branch=master
[2021-05-22 15:12:21] Using cached branch https://janitor.debian.net/git/node-unicode-match-property-value-ecmascript/,branch=debian%2Flatest
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 289, in _read_status
    raise BadStatusLine(line)
http.client.BadStatusLine: 0



During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 216, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 742, in process_package
    with Workspace(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/workspace.py", line 131, in __enter__
    self.local_tree, self._destroy = create_temp_sprout(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 95, in create_temp_sprout
    raise e
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 75, in create_temp_sprout
    to_dir = branch.controldir.sprout(
  File "/home/janitor/debian-janitor/breezy/breezy/git/dir.py", line 181, in sprout
    interrepo.fetch_objects(determine_wants=determine_wants,
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 778, in fetch_objects
    refs = self.source.controldir.fetch_pack(
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 458, in fetch_pack
    result = self._client.fetch_pack(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 2040, in fetch_pack
    refs, server_capabilities, url = self._discover_references(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 1906, in _discover_references
    resp, read = self._http_request(url, headers, allow_compression=True)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 670, in retry_or_raise
    raise my_exception.with_traceback(exc_tb)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
breezy.errors.ConnectionError: Connection error: while sending GET /git/node-unicode-match-property-value-ecmascript/info/refs?service=git-upload-pack: Remote end closed connection without response

Full worker log